QGIS Application - Bug report #307
a 3D polygon SHP won't open in QGIS, but opens fine in OpenEV
2006-09-25 09:45 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Data Provider

Affected QGIS version: Regression?: No
Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupts data: Copied to github as #: 10366
Description

Trying to open the attached file | get an error:

$ qgis08 tmp/ManyBuildings/ManyBuildings.shp

ERROR 4: @/home/shoofi/tmp/ManyBuildings/ManyBuildings.shp' not recognised as a supported file format.

[[QgsSpatialRefSys]]::createFromProj4 error proj string supplied has no +ellps argument

WARNING: This code (file qgsvectorlayer.cpp, line 1337) should never be reached. Problems may occur...
WARNING: This code (file qgsvectorlayer.cpp, line 1337) should never be reached. Problems may occur...
Warning: QPainter::begin: Cannot paint on a null pixmap

Warning: Painter must be active to set rendering hints

Warning: QPainter::end: Painter is not active, aborted

WARNING: This code (file ggsvectorlayer.cpp, line 1337) should never be reached. Problems may occur...
WARNING: This code (file ggsvectorlayer.cpp, line 1337) should never be reached. Problems may occur...
WARNING: This code (file qgsvectorlayer.cpp, line 1337) should never be reached. Problems may occur...

Though the file opens fine in [[OpenEV]] that comes with FWTools 1.05 and is recognised properly by ogrinfo.
History

#1 - 2006-09-26 02:04 AM - Gavin Macaulay -
- Resolution set to duplicate
- Status changed from Open to Closed

Duplicate of ticket #308

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

2024-04-28

1/1




